%  FIG10_10,   draws figure 10.10, `The sketch of the GUI'.
%                         Original  file name   GUISKETCH.                    
%                         Written by Adrian Biran for the book
%                        `What every engineer should know about MATLAB and SImulink'.

% define external frame
B   = 115;                  % GUI width
H   = 130;                  % GUI height
hp = plot([ 0 115 115 0 0 ], [ 0 0 130 130 0 ], 'k-');
% grid minor
axis equal
axis off
axis([ 0 115 0 130 ]);
set(hp, 'LineWidth', 1.5)
hold on
% plot object AXES
plot([ 20 95 95 20 20 ], [ 45 45 95 95 45 ], 'k-')
ht = text(55, 68, '1');
set(ht, 'FontSize', 14)
% plot slider
plot([ 30 85 85 30 30 ], [ 115 115 120 120 115 ], 'k-')
text(55, 117.1, '2')
% plot left edit box
plot([ 25 50 50 25 25 ], [ 100 100 105 105 100 ], 'k-')
text(37, 102.1, '3')
% plot right  edit box
plot([ 65 90 90 65 65 ], [ 100 100 105 105 100 ], 'k-')
text(75, 102.1, '4')
% plot text box for naming variable a
p1 = B*0.26;
p2 = H*0.82;
b   = B*0.16;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
text((p1 + b/2.1), (p2 + 2.1), '5')
% plot text box for naming variable b
p1 = B*0.609;
p2 = H*0.82;
b   = B*0.16;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
text((p1 + b/2.1), (p2 + 2.1), '6')
% plot text box for naming X-component 
p1 = B*0.043;
p2 = H*0.23;
b   = B*0.175;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
text((p1 + b/2.1), (p2 + 2.1), '7')
% plot text box for naming Y-component 
p1 = B*0.043;
p2 = H*0.154;
b   = B*0.175;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
text((p1 + b/2.1), (p2 + 2.1), '8')
% plot text box for naming magnitude
p1 = B*0.043;
p2 = H*0.077;
b   = B*0.175;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
text((p1 + b/2.1), (p2 + 2.1), '9')
% plot text box for marking unit N in GUI center
p1 = B*0.478;
p2 = H*0.23;
b   = B*0.043;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
ht = text((p1 + 1), (p2 + 2.1), '10');
set(ht, 'FontSize', 8)
% plot text box for marking unit N 
p1 = B*0.478;
p2 = H*0.154;
b   = B*0.043;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
ht = text((p1 + 1), (p2 + 2.1), '11');
set(ht, 'FontSize', 8)
% plot text box for marking unit N
p1 = B*0.478;
p2 = H*0.077;
b   = B*0.043;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
ht = text((p1 + 1), (p2 + 2.1), '12');
set(ht, 'FontSize' , 8)
% plot text box for marking unit N on right of GUI 
p1 = B*0.783;
p2 = H*0.23;
b   = B*0.043;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
ht = text((p1 + 1), (p2 + 2.1), '13');
set(ht, 'FontSize',  8)
% plot text box for marking unit N 
p1 = B*0.783;
p2 = H*0.154;
b   = B*0.043;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
ht = text((p1 + 1), (p2 + 2.1), '14');
set(ht, 'FontSize',  8)
% plot text box for marking unit N
p1 = B*0.783;
p2 = H*0.077;
b   = B*0.043;
h   = H*0.038;
hp = plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k:');
set(hp, 'LineWidth', 1.5)
text((p1 + 1), (p2 + 2.1), '15')
% plot boxes for writing values under the figure
% box for X-component of R1
p1 = B*0.261;
p2 = H*0.231;
b   = B*0.174;
h   = H*0.038;
plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k-')
text((p1 + b/2.2), (p2 + 2.1), '16')
% box for Y-component of R1
p1 = B*0.261;
p2 = H*0.154;
b   = B*0.174;
h   = H*0.038;
plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k-')
text((p1 + b/2.2), (p2 + 2.1), '17')
% box for magnitude of R1
p1 = B*0.261;
p2 = H*0.077;
b   = B*0.174;
h   = H*0.038;
plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k-')
text((p1 + b/2.2), (p2 + 2.1), '18')
% box for X-component of R2
p1 = B*0.565;
p2 = H*0.231;
b   = B*0.174;
h   = H*0.038;
plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k-')
text((p1 + b/2.2), (p2 + 2.1), '19')
% box for Y-component of R2
p1 = B*0.565;
p2 = H*0.154;
b   = B*0.174;
h   = H*0.038;
plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k-')
text((p1 + b/2.2), (p2 + 2.1), '20')
% box for magnitude of R2
p1 = B*0.565;
p2 = H*0.077;
b   = B*0.174;
h   = H*0.038;
plot([ p1 (p1 + b)  (p1 + b)  p1 p1  ], [ p2 p2 (p2 + h)  (p2 +h) p2 ], 'k-')
text((p1 + b/2.2), (p2 + 2.1), '21')

hold off