%FIG11_30    Draws Figure 11.30, `The mathematical pendulum'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

l   = 4.5;                          % rod length
hp = plot([ 3 3 ], [ 1.5 6 ], 'k-.', [ 3 (3 + l*cosd(45)) ], [ 6 (6 - l*sind(45)) ], 'k-');
set(hp, 'Linewidth', 2)
axis equal, axis off
axis([ 0 8 0 7 ])
hold on
point([ 3; 6 ], 0.08)
t    = 0: 5: 360;               % circle parameter
r    = 0.5;                         % radius of mas circle
x    = r*cosd(t);
y    = r*sind(t);
hp  = plot([ x + 3 ], [ y + 1 ], 'k-.');    
set(hp, 'Linewidth', 2)
hp   =plot([ x + 3 + 5*cosd(45) ], [ y + 6 - 5*sind(45) ], 'k-');
set(hp, 'Linewidth', 2)
ht    = text(7.2, 2.5, 'm');
set(ht, 'FontSize', 20)
hl = plot([ 1.4 3 ], [ 6 6 ], 'k-');
set(hl, 'LineWidth', 1.5)
hl = plot([ 1.4 2.5 ],[ 1 1 ], 'k-');
set(hl, 'LineWidth', 1.5)
arrow([ 1.5; 3.5 ], [ 1.5; 1 ], 0.09)
arrow([ 1.5; 3.5 ], [ 1.5; 6 ], 0.09)
ht = text(1.2, 3.5, 'r', 'rotation', 90);
set(ht, 'FontSize', 20)
arrow([ 2.3; 4.5], [ 3; 4.5 ], 0.09)
arrow([ 4.55; 5.45 ], [ 4.05; 4.95 ], 0.09)
t1  = 270: 315;
x1  = 3 + 1.5*cosd(t1);
y1  = 6 + 1.5*sind(t1);
hl = plot(x1, y1, 'k-');
set(hl, 'LineWidth', 1.3)
ht = text(3.4, 4.9, '\phi');
set(ht, 'FontSize', 20)
arrow([ 6.5; 2.5 ], [ 6.5; 1 ], 0.15)
ht = text(6.7, 1.5, 'mg');
set(ht, 'FontSize', 18)
arrow([ 6.5; 2.5 ], [ 5; 1 ], 0.15)
ht = text(4.8, 2, 'mr\phi^{//}');
set(ht, 'FontSize', 20)

hold off