%  FIG2_10, draws Figure 2.10,  `The parallelogram rule'.
% Original file name FORCEPARALLELOGRAM.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame by force resultant
hp = plot([ 0 7.5 ], [ 0 7 ], 'k-')
set(hp, 'LineWidth', 1.5)
axis([ -1 8 -1 8 ])
grid
axis equal
set(gca,  'XTick', 0:8,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0:8,...
                    'YTick', 0:9,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0:9)
ht = xlabel('x-component');
set(ht,  'FontSize', 18)
ht = ylabel('y-component-');
set(ht,  'FontSize', 18)
ht = text(4, 4.5,  'R');
set(ht,  'FontSize', 18)

hold on
arrow([ 0; 0 ], [7.5; 7 ], 0.2)               % resultant
arrow([ 0; 0 ], [ 5.5; 2 ], 0.1)
ht = text(3, 1.7, 'F_1');
set(ht, 'FontSize',  16)
arrow([ 0; 0 ], [ 2; 5 ], 0.1)
ht = text(0.7, 3.5, 'F_2');
set(ht, 'FontSize',  16)
hp = plot([ 5.5 7.5 ], [ 2 7 ], 'k--')     % begin parallelogram
set(hp, 'LineWidth', 1.1)
hp = plot([ 2 7.5 ], [ 5 7 ], 'k--')
set(hp, 'LineWidth', 1.1)             % end parallelogram  

hold off
