% FIG2_11, draws Figure 2.11, `Adding several forces by  the polygon rule'.
% Original  FORCEPOLYGON.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame by force resultant
hp = plot([ 0 3.5 ], [ 0 8.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
axis([ -1 5 -1 9 ])
grid
axis equal
set(gca,  'XTick', 0:4,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0:4,...
                    'YTick', 0:9,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0:9)
ht = xlabel('x-component');
set(ht,  'FontSize', 18);
ht = ylabel('y-component-');
set(ht,  'FontSize', 18)
ht = text(2, 7,  'R');
set(ht,  'FontSize', 18)

hold on
arrow([ 0; 0 ], [3.5; 8.5 ], 0.2)     % resultant
arrow([ 0; 0 ], [ 1.5; 1 ], 0.13)
ht = text(1.3, 0.4, 'F_1');
set(ht, 'FontSize',  16)
arrow([ 1.5;1 ], [ 3; 3.5 ], 0.13)
ht = text(2.3, 2., 'F_2');
set(ht, 'FontSize',  16)
arrow([ 3; 3.5 ], [ 3.5; 5.5 ], 0.13)
ht = text(3.4, 4.4, 'F_3');
set(ht, 'FontSize',  16)
arrow([ 3.5; 5.5 ], [ 3.5; 8.5 ], 0.13)
ht = text(3.7, 7, 'F_4');
set(ht, 'FontSize',  16)

hold off
