% FIG2_12,  prints Figure 2.12, `Calculation of the tensions in the two
% bars'. Original file name STATICS1FIG.
% Written by Adrian Biran for the book
% `What every engineer should know about MATLAB and Simulink'.

% plot something
plot([ 30 80 180 ], [ 110 60 110 ], 'k-')
axis([ 0 190 0 135 ])
axis equal, axis off
hold on
% plot ceiling
hp = plot([ 20 190 ], [ 115 115 ], 'k-');
set(hp, 'LineWidth', 1.5)
plot([ 20 22.5 ], [ 117.5 120 ], 'k-')

% plot articulations
point([ 30; 110 ], 1)
plot([ 25 30 35 25 30 ], [ 115 110.5 115 115 110.5 ], 'k-')
point([ 80; 60 ], 1)
x0 = 20;
for k = 1:67
    plot([ x0 (x0 + 5) ], [ 115 120 ], 'k-')
    x0 = x0 + 2.5;
end
plot([ 187.5 190 ], [ 115 117.5 ], 'k-')
point([ 180; 110 ], 1)
plot([ 175 180 185 175 180 ], [ 115 110.5 115 115 110.5 ], 'k-')
% plot hanging weight
arrow([ 80; 60 ], [ 80; 10 ], 2)
ht = text(82, 30, 'w');
set(ht, 'FontSize', 14)

% plot tensions
a            =   500;
b            = 1000;
c            =   500;
alpha = atand(a/c);
r1          = 9.4281/0.2;
xf1 = (80 - r1*sind(alpha));
yf1 = (60 + r1*cosd(alpha)); 
arrow([ 80; 60 ], [ xf1; yf1 ], 1.5)
ht         = text(58, 72, 'R_1', 'rotation', (alpha - 90));
set(ht, 'FontSize', 14)
r2          = 7.4536/0.2;
beta    = atand(b/c);
xf2        = (80 + r2*sind(beta));
yf2        = (60 + r2*cosd(beta)) ;
arrow([ 80; 60 ], [ xf2; yf2 ], 1.5)
ht          = text(95, 60, 'R_2', 'rotation', (90 - beta));
set(ht, 'FontSize', 14)
% dimensions
plot([ 30 30 ], [ 115 126 ], 'k-')
plot([ 80 80 ], [ 115 126 ], 'k-')
plot([ 180 180 ], [ 115 126 ], 'k-')
arrow([ 55; 125 ], [ 30; 125 ], 0.8)
arrow([ 55; 125 ], [ 80; 125 ], 0.8)
ht = text(54, 129, 'a');
set(ht, 'FontSize', 14)
arrow([ 130; 125 ], [ 80; 125 ], 0.8)
arrow([ 130; 125 ], [ 180; 125 ], 0.8)
ht = text(130, 129, 'b');
set(ht, 'FontSize', 14)
plot([ 4 30 ], [ 110 110 ], 'k-')
plot([ 4 80 ], [ 60 60 ], 'k-')
arrow([ 5; 85 ], [ 5; 110 ], 0.8)
arrow([ 5; 85 ], [ 5; 60 ], 0.8)
ht = text(3, 85, 'c', 'rotation', 90);
% print -deps Statics1Fig1.eps
% pause
% plot parallelogram of forces
arrow([ 80; 60 ], [ 80; 110 ], 1.5)
ht = text(82, 83, '-w');
set(ht, 'FontSize', 14)
plot([ xf1 80 ], [ yf1 110 ], 'k--')
ht = text(75, 68, '\alpha');
set(ht, 'FontSize', 14)
ht = text(74, 104, '\beta');
set(ht, 'FontSize', 14)
ht = text(82, 104, '\alpha');
set(ht, 'FontSize', 14)
plot([ xf2 80 ], [ yf2 110 ], 'k--')
ht = text(82, 68, '\beta');
set(ht, 'FontSize', 14)
ht = text(51, 95, '\gamma');
set(ht, 'FontSize', 14)
ht = text(105, 80, '\gamma');
set(ht, 'FontSize', 14)
% print -deps Statics1Fig1.eps

hold off