% FIG2_13, draws Figure 2.13, `Body slidig on a 45-degree slope'.
% Original file name WORKEXAMPLE. 
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
hp = plot([ 0.6 5.5 ], [ 0.5 0.5 ], 'k-', [ 1 5 ], [ 4.5 0.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
axis([ 0 6 0 6 ])
axis equal, axis off
hold on
x0 = 0.5;
for k = 1:10
    plot([ x0 (x0 + 0.5) ], [ 0 0.5 ], 'k-')
    x0 = x0 + 0.5;
end    
hp = plot([ 2.5 3.5 4.5 3.5 ], [ 3.0 4.0 3.0 2.0 ], 'k-');
set(hp, 'LineWidth', 1.5)
arrow([ 3.5; 3 ], [ 3.5; 2.2 ], 0.1)
text( 3.6, 2.9, 'M', 'FontSize', 18)

% dimensioning
arrow([ 0.7; 2.25 ], [ 0.7; 0.5 ], 0.1)
arrow([ 0.7; 2.25 ], [ 0.7; 4.5 ], 0.1)
text(0.4, 2, '1 m', 'FontSize', 16, 'Rotation', 90)
plot([ 0.6 1 ], [ 4.5 4.5 ], 'k-')
plot([ 5 5 ], [ 0.5 4.9 ], 'k-')
plot([ 1 1 ], [ 4.5 4.9 ], 'k-')
arrow([ 3; 4.8 ], [ 1; 4.8 ], 0.1)
arrow([ 3; 4.8 ], [ 5; 4.8 ], 0.1)
text(2.4, 5, '1 m',  'FontSize', 16)

hold off