% FIG2_16, Draws Figure 2.16,  `The area of the paralleogram'. 
% Original file name PARALLOGRAMAREA.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define vectors
V1 = [ 10; 0 ];
V2 = [ 5*cosd(30); 5* sind(30) ];
% define frame
hp = plot([ V2(1) (V2(1) + V1(1))  10 ], [ V2(2) V2(2) 0 ], 'k--');
set(hp, 'LineWidth', 1.5)
axis equal, axis off
axis([ -1 14 -1 4 ])
hold on
arrow([ 0; 0 ], V1, 0.3)
ht = text(5, 0.6, 'V_1');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
arrow([ 0; 0 ], V2, 0.3)
ht = text(1.4, 1.85, 'V_2');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
t   = 0: 30;
r   = 1.5;
x   = r*cosd(t);
y   = r*sind(t);
plot(x, y, 'k-')
ht = text( 1.6, 0.5, '\alpha');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')

hold off