%FIG2_19   Draws Figure 2.19, `The meaning of the triple product'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define axes
O   = [ 0 0 ];
A1 = 15*[ cosd(210) sind(210) ];
A2 = 15*[ cosd(-30) sind(-30) ];
A3 = 30*[ 0 1 ];
hp = plot([ O(1) A1(1)], [ O(2) A1(2) ], 'k-' ,  [ O(1) A2(1)], [ O(2) A2(2) ], 'k-' , [ O(1) A3(1)], [ O(2) A3(2) ], 'k-');
set(hp, 'LineWidth', 1)
axis equal, axis off
ht = text(A1(1), 0.7*A1(2), 'x');;
set(ht, 'FontSize', 14)
ht = text(A2(1), 0.7*A2(2), 'y');;
set(ht, 'FontSize', 14)
ht = text(0.5, A3(2), 'z');;
set(ht, 'FontSize', 14)

hold on
% define points
P1 = 10* [ cosd(210) sind(210) ];
% arrow(O, P1, 0.5)
% ht = text(P1(1), P1(2)/3, 'V_2');
% set(ht, 'FontSize', 16, 'FontWeight', 'bold')
P2 = 5*[ cosd(260)  sind(260) ];
arrow(O, P2, 0.5)
ht = text(P2(1), 1.3*P2(2), 'V_3');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')

P3 = [ 0; 25 ];
arrow(O, P3, 0.5)
ht = text(0.5, P3(2)/2, 'Area');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
% complete parallelogram
P4 = P1 + P2;
pline([ P1' P4' P2' ], 1, 'k', '--')

% build  vector V1
V1 = 6*[ cosd(110)  sind(110) ];
arrow(O, V1, 0.5)
ht = text(1.4*V1(1), 1.2*V1(2), 'V_1');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
P5 = V1 + P1;
pline([ V1' P5' P1' ], 1, 'k', '--')
P6 = P5 + P2;
pline([ P5' P6' P4' ], 1, 'k', '--') 
P7 = P2 + V1;
pline([ P6' P7' V1' ], 1, 'k', '--')
pline([ P7' P2' ], 1, 'k', '--')
patch([ P4(1) P6(1) P7(1) P2(1)  ], [ P4(2) P6(2) P7(2) P2(2)  ], [ 0.6 0.6 0.6 ])
patch([ P2(1) P7(1) V1(1) O(1) ], [ P2(2) P7(2) V1(2) O(1) ],  [ 0.8 0.8 0.8 ])
patch([ V1(1) P5(1) P6(1) P7(1) ],  [ V1(2) P5(2) P6(2) P7(2) ], [ 0.7 0.7 0.7 ])

hold off