% FIG2_22, Draws Figure 2.22, `the vector of rotational velocity'.
% Original file name VELOVECT2. 
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

%define frame
plot3( [ 0 0 ], [ 0 0 ], [ 0 6 ], 'k-.');
ht = text(0.7, 0.1, 0, 'O');
set(ht, 'FontSize', 16)
ht = text(0.4, 0, 5.8, '\zeta');
set(ht, 'FontSize', 16)
axis equal, axis off
axis([ 0 6 0 6 0 6 ])
hold on

% calculations
O            = [ 0; 0; 0; ]; 
% omega = 1*[ cosd(55) cosd(20) cosd(25)  ];
% r            = 5*[ cosd(25) cosd(45) cosd(10) ];
% V            = cross(omega, r);
% create group of objects and plot in temporary position
% vector of angular velocity
oaxis = [ 0 0 4 ];
hPlot = plot3([ O(1) oaxis(1) ], [ O(2) oaxis(2) ], [ 2 4 ], 'k-');
set(hPlot, 'LineWidth', 1.5)
set(gca, 'Xdir', 'reverse', 'YDir', 'reverse')

% hGroup = hggroup;
ht1      = text(0.6, 0, 3, '\omega');
set(ht1, 'FontSize', 16)

% hoaxis = plot3([ O(1) oaxis(1) ], [ O(2) oaxis(2) ], [ 0 4 ], 'k-');
t = 0: 2: 360;
R = 2;
x = R*cosd(t);
y = R*sind(t);
z = 3*ones(size(x));
hCircle = plot3(x, y, z, 'k:');
set(hCircle, 'LineWidth', 1.3)
n                 = 90;     
r                 = [ x(n) y(n) z(n) ];     
hRadius = plot3([ O(1) r(1) ], [ O(2) r(2) ], [ O(3) r(3) ], 'k-');
set(hRadius, 'LineWidth', 1.3)
ht2      = text(x(n)/1.2, y(n), 2, 'r');
set(ht2, 'FontSize', 16)

V            = cross([ 0; 0; 0.7 ], r);
hV = plot3([ r(1) (r(1) + V(1)) ], [ r(2) (r(2) + V(2)) ], [ r(3) (r(3) + V(3)) ], 'k-');
set(hV, 'LineWidth', 1.3)
ht3      = text( 1.2*(r(1) + V(1)) , (r(2) + V(2)) , 1.05*(r(3) + V(3))  , 'V');
set(ht3, 'FontSize', 16)
hP        = plot3(r(1), r(2), r(3), 'k.');
set(hP, 'LineWidth', 4)
ht4      = text(1.1*r(1), r(2), 1.05*r(3), 'P');
set(ht4, 'FontSize', 16)

varrow([ O(1) O(2) 2 ], [ O(1) O(2) 4 ], 0.1)

hold off

            

