%  FIG2_23, Draws Figure 2.23, `A system of point masses'.
% Original MASSCENTER.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
point([ 1; 6 ], 0.1)
axis([ 0 9 -1 9 ])
axis equal
set(gca,  'XTick', 0:9,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0:9,...
                    'YTick', 0:8,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0:8)
ht = xlabel('x, m');
set(ht,  'FontSize', 18)
ht = ylabel('y, m');
set(ht,  'FontSize', 18)
grid
hold on

% m1
ht = text(1.3, 6, '4 Kg');
set(ht, 'FontSize', 16)

% m2
point([ 3; 7 ], 0.1)
ht = text(3.3, 7, '5 Kg');
set(ht, 'FontSize', 16)

% m3
point([ 4; 4.5 ], 0.1)
ht = text(4.3, 4.5, '6 Kg');
set(ht, 'FontSize', 16)

% m4
point([ 4.5; 8 ], 0.1)
ht = text(4.8, 8, '4 Kg');
set(ht, 'FontSize', 16)

% m5
point([ 7; 3.5 ], 0.1)
ht = text(7.3, 3.5, '5 Kg');
set(ht, 'FontSize', 16)

% m6
point([ 7.5; 6.5 ], 0.1)
ht = text(7.8, 6.5, '3 Kg');
set(ht, 'FontSize', 16)

hold off