%FIG2_24,  Draws Figure 2.24, `The moment of a force in the xy-plane'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
plot([ -4 4 ], [ 0 0 ], 'k-', [ 0 0 ], [ -4 4 ], 'k-')
axis equal, axis off
ht = text( 3.9, 0.3, 'x');
set(ht, 'FontSize', 16)
ht = text(0.2, 3.7, 'y');
set(ht, 'FontSize', 16)
hold on

% show body  as ellipse
t    = 0: 360;
a    = 3;
b    = 2;
x    = a*cosd(t);
y    = b*sind(t);
hp = plot(x, y, 'k-');
set(hp, 'LineWidth', 1.5)

% define point of application
tp = 40;
xp  = a*cosd(tp);
yp  = b*sind(tp);
point([ xp; yp ], 0.1) 
arrow([ 0; 0 ], [ xp; yp ], 0.15)
ht = text(1, 0.8, 'r');
set(ht, 'FontSize', 16, 'FontWeight',  'bold')
arrow([ 0; 0 ], [ xp; 0 ], 0.15)
ht = text(1.1, -0.3, 'r_x');
set(ht, 'FontSize', 14)
arrow([ 0; 0 ], [ 0; yp ], 0.15)
ht = text(-0.5,  yp/2, 'r_y');
set(ht, 'FontSize', 14)
plot([ xp xp 0 ], [ 0 yp yp ], 'k--')

arrow( [ xp; yp ],  [ (xp + 1.5); (yp + 1.5) ],0.15)
ht = text(2.8, 2.3, 'F');
set(ht, 'FontSize', 16)
arrow( [ xp; yp ], [ (xp + 1.5); yp ], 0.15)
ht = text(3.1, (yp + 0.4), 'F_x');
set(ht, 'FontSize', 14)
arrow( [ xp; yp ], [ xp; (yp + 1.5) ], 0.15)
ht = text(1.6, 2.3, 'F_y');
set(ht, 'FontSize', 14)
plot([ (xp + 1.5)  (xp + 1.5) xp ], [ yp (yp + 1.5) (yp + 1.5) ], 'k--')

hold off