% FIG2_25, draws Figure 2.25, `Themoment about a point'.
% Original file name MOMENT2.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

%define frame
plot3([ 0 4 ], [ 0 0 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 4 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 0 ], [ 0 4 ], 'k-')
axis equal, axis off
set(gca, 'Xdir', 'reverse', 'YDir', 'reverse')
ht = text(3.8, 0, 0.3, 'x');
set(ht, 'FontSize', 16)
ht = text(0, 3.8, 0.3, 'y');
set(ht, 'FontSize', 16)
ht = text(0.3, 0, 3.8, 'z');
set(ht, 'FontSize', 16)
hold on
arrow([ 0; 0; 0 ], [ 2.2981; 1.2856; 0 ], 0.1)
hp = plot3([ 0 2.2981 ], [ 0 1.2856 ], [ 0 0 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(2.5, 1.5, 0, 'r');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
arrow([ 0; 0; 0 ], [ 1.5; 1.5; 0 ], 0.1)
hp = plot3([ 0 1.5 ], [ 0 1.5 ], [ 0 0 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(1.8, 1.8, 0, 'F');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
varrow([ 0; 0; 0 ], [ 0; 0; 1.5188 ], 0.1)
hp = plot3([ 0 0 ], [ 0 0 ], [  0  1.5188 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(0.3, 0.5, 1.8, 'M_o');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
% show sense of rotation
r   = 3.5;
t1 = atand(1.2856/2.2981); % angle of vector r
te = 45;                                   % angle of vector F
tc = t1: (te - t1)/60: te;
xc = r*cosd(tc);
yc = r*sind(tc);
zc = zeros(size(xc));
plot3(xc, yc, zc, 'k-')
O    = [ xc(50) yc(50) zc(50) ];             % origin of arrow
E    = [ xc(end) yc(end) zc(end) ]; % end of arrow
arrow(O, E, 0.1)

hold off