%FIG2_26  Draws Figure 2.26, `Calculating  the moment about a shifted
% point'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
plot([ -4 4 ], [ 0 0 ], 'k-', [ 0 0 ], [ -4 4 ], 'k-')
axis equal, axis off
ht = text( 3.9, 0.3, 'x');
set(ht, 'FontSize', 16)
ht = text(0.2, 3.7, 'y');
set(ht, 'FontSize', 16)
hold on

% show body  as ellipse
t    = 0: 360;
a    = 3;
b    = 2;
x    = a*cosd(t);
y    = b*sind(t);
hp = plot(x, y, 'k-');
set(hp, 'LineWidth', 1.5)

% define point of application
tp = 40;
xp  = a*cosd(tp);
yp  = b*sind(tp);
point([ xp; yp ], 0.1) 
arrow([ 0; 0 ], [ xp; yp ], 0.15)
ht = text(1, 0.8, 'r');
set(ht, 'FontSize', 16, 'FontWeight',  'bold')

% define force
arrow( [ xp; yp ],  [ (xp + 1.5); (yp + 1.5) ],0.15)
ht = text(2.8, 2.3, 'F');
set(ht, 'FontSize', 16)

% define shifted point
tp1 = 170;
xp1  = a*cosd(tp1);
yp1  = b*sind(tp1);
point([ xp1; yp1 ], 0.1) 
ht = text(1.25*xp1, 1.7*yp1, 'P_1');
set(ht, 'FontSize', 16)
arrow([ 0; 0 ], [ xp1; yp1 ], 0.15)
ht = text(-1.2, -0.15, 'r_1');
set(ht, 'FontSize', 16, 'FontWeight',  'bold')
% define new radius
arrow( [ xp1; yp1 ], [ xp; yp ], 0.15)
ht = text(-0.6, 1.2, 'r_2');
set(ht, 'FontSize', 16, 'FontWeight',  'bold')

hold off