%FIG2_28  Draws Figure 2.28, `Coordinates used for the
% containership'
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame 
hp = plot([ 0 160 ], [ 5 5 ], 'k-', [ 25 25 ], [ 0 30 ], 'k-');
set(hp, 'LineWidth', 1)
axis equal, axis off
hold on
arrow([ 25; 0 ], [ 150; 0 ], 0.8)  % begin coordinate axes
ht = text(152, 0, 'x'); 
set(ht, 'FontSize', 14)
arrow([ 25; 0 ], [ 25; 30 ], 0.8)
ht = text(23, 33, 'z');             % end coordinate axes
set(ht, 'FontSize', 14)
plot([ 2 10 ], [ 4 4 ], 'k-')           % mark waterline
plot([ 4 10 ], [ 33 ], 'k-')
plot([ 150 158 ], [ 4 4 ], 'k-')
plot([ 150 156 ], [ 3 3 ], 'k-')     % end waterline
set(ht, 'FontSize', 14)
% draw stern
P1 = [ 18.4; 20 ];
P2 = [ 18.4; 8 ];
P3 = [ 30; 2.73 ];
P4 = [ 30; 0 ];
P5 = [ 128; 0 ];
pline([ P1 P2 P3 P4 P5 ], 1.5, 'k', '-')
% draw  bulb
t    = -90: 90;
r    = 1.5;
x    = 128+ r*cosd(t);
z    = 1.5 + r*sind(t);
hp = plot(x, z, 'k-');
set(hp, 'LineWidth', 1.5)
% complete stem and deck
P6   = [ 128; 3 ];
P7   = [ 135; 10 ];
P8   = [ 128; 10 ];
P9   = [ 127; 8 ];
P10 = [ 45; 8 ];
P11 = [ 45; 20 ]; 
pline([ P6 P7 P8 P9 P10 P11 P1 ], 1.5, 'k', '-')
% show containers
plot([ 50 50 125 125 ], [ 8 20 20 8 ], 'k-')
plot([ 50 125 ], [ 12 12 ], 'k-')
plot([ 50 125 ], [ 16 16 ], 'k-')
x0= 65;
for k = 1:4
    plot([ x0 x0 ], [ 8 20 ], 'k-')
    x0 = x0 + 15;
end    
% mark Aft Perpendicular
ht = text(19, -5, 'A');
set(ht, 'FontSize', 14)
ht = text(27, -5, 'P');
set(ht, 'FontSize', 14)

hold off