%FIG2_5&2_6  plots the figures that define displacement vectors.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'
% First plot Figure 2.5, `A triangle and its translation'.

P1 = [ 1; 2 ];
P2 = [ 2; 4 ];
P3 = [ 5; 3 ];
pline([ P1 P2 P3 P1 ], 1.5, 'k', '-'), grid
axis([ 0.5 8.5 1.5 8.5 ]), axis equal
set(gca,  'XTick', 1:8,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 1:8,...
                    'YTick', 2:8,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 2:8)
ht = xlabel('x');
set(ht,  'FontSize', 18)
ht = ylabel('y');
set(ht,  'FontSize', 18)
ht = text(0.5, 2, 'P_1');
set(ht,  'FontSize', 18)
ht = text(1.3, 4, 'P_2');
set(ht,  'FontSize', 18)
ht = text(5.1, 3, 'P_3');
set(ht,  'FontSize', 18)

hold on
d   = [ 3; 4 ];
P1N = P1 + d;
P2N = P2 + d;
P3N = P3 +d;
pline([ P1N P2N P3N P1N ], 2, 'k', '-.')
ht = text(3.2, 6.1, 'Q_1');
set(ht,  'FontSize', 18)
ht = text(4.1, 8.1, 'Q_2');
set(ht,  'FontSize', 18)
ht = text(8.1, 7, 'Q_3');
set(ht,  'FontSize', 18)
% print -deps DisplVec1.eps
pause
% Now plot Figure 2.6, `Displacement vectors'.

arrow(P1, P1N, 0.1)
arrow(P2, P2N, 0.1)
arrow(P3, P3N, 0.1)
% print -deps DisplVec2.eps

hold off