% FIG2_7,  Produces Figure 27. `The components of a two-dimensional
% vector'. 
% Original file name VECCOMPONENTS.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

plot([ 0 3 ], [ 4 4 ], 'k:', [ 3 3 ], [ 0 4 ], 'k:')
axis([  -1 4 -1 5 ]),
axis equal
set(gca,  'XTick', 0: 3,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0: 3,...
                    'YTick', 0: 4,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0: 4)

hl = xlabel('x');
set(hl, 'FontSize', 18)
hl = ylabel('y');
set(hl, 'FontSize', 18)
ht = text(-0.4, -0.4, 'P_1');
set(ht, 'FontSize', 16)
ht = text(3.1, 4.1, 'Q_1');
set(ht, 'FontSize', 16)
hold on
arrow([ 0; 0 ], [ 3; 4 ], 0.15)
arrow([ 0; 0 ], [ 0; 4 ], 0.08)
arrow([ 0; 0 ], [ 3; 0 ], 0.08)
ht = text(1.3, 0.3, 'V_x');
set(ht, 'FontSize', 14)
ht = text(-0.6, 2, 'V_y');
set(ht, 'FontSize', 14)
ht = text(1.5, 2.4, 'V');
set(ht, 'FontSize', 18)

hold off