%  FIG2_8,   prints Figure 2.8, `The addition of two vetors'.
% Original VECADD.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
plot([ 0 0.5 ], [ 2.5 2.5 ], 'k:', [ 0.5 0.5 ], [ 0 2.5 ], 'k:', [ 0 3 ], [ 3.5 3.5 ], 'k:')
axis([ -1 4 -1 4.5 ]), axis equal
set(gca,  'XTick', 0: 3,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0: 3,...
                    'YTick', 0: 0.5: 3.5,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0: 0.5: 3.5)

ht = xlabel('x');
set(ht, 'FontSize', 18)
ht = ylabel('y');
set(ht, 'FontSize', 18)
hold on
plot([ 3 3 ],[ 0 3.5 ], 'k:')
arrow([ 0; 0 ], [ 0.5; 2.5 ], 0.09)
ht = text(0.3 , 1.05,  'V_1');
set(ht, 'FontSize', 16,...
                'FontWeight', 'bold')
arrow([ 0.5; 2.5 ], [ 3; 3.5 ], 0.09)
ht = text(1.15, 3.15, 'V_2');
set(ht, 'FontSize', 16,...
                'FontWeight', 'bold')
arrow([ 0; 0 ], [ 3; 3.5 ], 0.09)
ht = text(1.35, 1.3, 'V_1 + V_2');
set(ht, 'FontSize', 16,...
                'FontWeight', 'bold')
% add x-components
arrow([ 0; 0 ], [ 0.5; 0 ], 0.05)
ht = text( 0.2, -0.25, 'V_{1x}');
set(ht, 'FontSize', 12,...
                'FontWeight', 'bold')
arrow([ 0.5; 0 ], [ 3; 0 ], 0.05)
ht = text( 2, -0.25, 'V_{2x}');
set(ht, 'FontSize', 14,...
                'FontWeight', 'bold')
arrow([ 0; 0 ], [ 0; 2.5 ], 0.05)
ht = text( -0.5, 1, 'V_{1y}');
set(ht, 'FontSize', 14,...
                'FontWeight', 'bold')
arrow([ 0; 2.5 ], [ 0; 3.5 ], 0.05)
ht = text( -0.5, 2.9, 'V_{2y}');
set(ht, 'FontSize', 14,...
                'FontWeight', 'bold')

hold  off
