% FIG_9,   prints Figure 2.9, `Multiplication of a vector by a scalar'.
% Original file name SCALVEC. Written by Adrian Biran for the book
% `What every engineer should know about MATLAB and Simulink'.

% define frame
plot([ 0 3 ], [ 4 4 ], 'k:', [ 3 6 ], [ 0 0 ], 'k:',  [ 6 6 ], [ 0 8 ], 'k:')
axis([ -0.5 6.5 -0.5 8.5 ]), axis equal
set(gca,  'XTick', 0: 6,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0: 6,...
                    'YTick', 0: 8,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0: 8)

ht = xlabel('x');
set(ht, 'FontSize', 18)
ht = ylabel('y');
set(ht, 'FontSize', 18)
hold on
% vector V
arrow([ 0; 0 ], [ 3; 4 ], 0.2)
ht = text(1.3 , 2.4,  'V');
set(ht, 'FontSize', 16,...
                'FontWeight', 'bold')
% vector 2V            
arrow([ 3; 4 ], [ 6; 8 ], 0.2)
ht = text(4, 5, '2V');
set(ht, 'FontSize', 16,...
                'FontWeight', 'bold')
% components of vector V           
arrow([ 0; 0 ], [ 3; 0 ], 0.09)
ht = text(1.35, 0.3, 'V_x');
set(ht, 'FontSize', 14,...
                'FontWeight', 'bold')
 arrow([ 3; 0 ], [ 3; 4 ], 0.09)
ht = text(3.1, 1.9, 'V_y');
set(ht, 'FontSize', 14,...
                'FontWeight', 'bold')
% components of vector 2V
arrow([ 0; 0 ], [ 0; 8 ], 0.09)
ht = text( 0.2, 5, '2V_y');
set(ht, 'FontSize', 14,...
                'FontWeight', 'bold')
arrow([ 0; 8 ], [ 6; 8 ], 0.09)
ht = text(3, 7.6, '2V_x');
set(ht, 'FontSize', 14,...
                'FontWeight', 'bold')


hold  off
