%FIG3_11  Draws Figure  3.11, `Crane dimansions'
% Orignal DRAWCRANE
 % Written by Adrian Biran for the book `What every engineer should know
 % about MATLAB and Simulink'

% dimension the crane
l1 = 3;
l2 = 4;
h   = 2;
% draw articulations
r   = 0.04;
t   = 0: 360;
x1 = r*cosd(t);
y1 = r*sind(t);
x2 = x1 + l1;
y2 = y1;
hp = plot(x1, y1, 'k-');
set(hp, 'LineWidth', 1.5)
ht = title('Dimensions');
set(ht, 'FontSize', 14)
hold on
hp = plot(x2, y2, 'k-');
set(hp, 'LineWidth', 1.5)
axis equal, axis off
axis([ -0.4 4.2 -0.9 2.4 ])
% plot supports
a    = 0.18; 
b    = a*sqrt(3)/2;
hs = plot([ -a/2 a/2 0  -a/2 ], [ -b -b -r/2  -b ] , 'k-');
set(hs, 'LineWidth', 1.5)
hs = plot([ (-a/2 + l1)  (a/2 + l1) l1  (-a/2 + l1) ], [ -b -b -r/2  -b ] , 'k-');
set(hs, 'LineWidth', 1.5)
% draw crane
x3 = x1 + l2;
y3 = y1 + h;
hp = plot(x3, y3, 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ 0 l1 ], [ r/2 r/2 ],  'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ 0 l2 ], [ r/2 (h- r/2) ], 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ l1 l2  ], [ r/2 (h - r/2) ],  'k-');
set(hp, 'LineWidth', 1.5)
% show dimensions
plot([ 0 0 ], [ -0.85 -b ], 'k-')
plot([ l2 l2 ], [ -0.85 (h - r/2) ], 'k-')
plot([ l1 l1 ], [ -0.45 -b ], 'k-') 
arrow([ l2/2; -0.8 ], [ 0; -0.8 ], 0.04)
arrow([ l2/2; -0.8 ], [l2; -0.8 ], 0.04)
ht = text(l2/2, -0.65, 'l_2') ;
set(ht, 'FontSize', 14)
arrow([ l1/2; -0.4 ], [ 0; -0.4 ], 0.04)
arrow([ l1/2; -0.4 ], [l1; -0.4 ], 0.04)
ht = text(l1/2, -0.25, 'l_1') ;
set(ht, 'FontSize', 14)
plot([ -0.25 -0.1 ], [ 0 0 ], 'k-')  
plot([ -0.25 (l2 - r/2) ], [ h h ], 'k-') 
arrow([ -0.2; h/2 ], [ -0.2; 0 ], 0.04)
arrow([ -0.2; h/2 ], [ -0.2; h ], 0.04)
ht = text(-0.3, h/2, 'h', 'Rotation', 90); 
set(ht, 'FontSize', 14)

hold off