% FIG3_12  Draws Figure 3.12, `Crane forces'.
% Original DRAWCRANE 
 % Written by Adrian Biran for the book `What every engineer should know
 % about MATLAB and Simulink'

% dimension the crane
l1 = 3;
l2 = 4;
h   = 2;
% draw articulations
r   = 0.04;
t   = 0: 360;
x1 = r*cosd(t);
y1 = r*sind(t);
x2 = x1 + l1;
y2 = y1;
hp = plot(x1, y1, 'k-');
set(hp, 'LineWidth', 1.5)
ht = title('Forces');
set(ht, 'FontSize', 14)
hold on
hp = plot(x2, y2, 'k-');
set(hp, 'LineWidth', 1.5)
axis equal, axis off
axis([ -0.4 4.2 -0.9 2.4 ])
% plot supports
a    = 0.18; 
b    = a*sqrt(3)/2;
hs = plot([ -a/2 a/2 0  -a/2 ], [ -b -b -r/2  -b ] , 'k-');
set(hs, 'LineWidth', 1.5)
hs = plot([ (-a/2 + l1)  (a/2 + l1) l1  (-a/2 + l1) ], [ -b -b -r/2  -b ] , 'k-');
set(hs, 'LineWidth', 1.5)
% draw crane
x3 = x1 + l2;
y3 = y1 + h;
hp = plot(x3, y3, 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ 0 l1 ], [ r/2 r/2 ],  'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ 0 l2 ], [ r/2 (h- r/2) ], 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ l1 l2  ], [ r/2 (h - r/2) ],  'k-');
set(hp, 'LineWidth', 1.5)
% show forces
% left-hand reactions
arrow([ 0; -0.6 ], [ 0; -b ], 0.06)
ht = text(0.1, -0.5, 'R_{1y}');
set(ht, 'FontSize', 14)
arrow([ -0.35; 0 ], [ -r/2; 0 ], 0.06)
ht = text(-0.4, 0.2, 'R_{1x}');
set(ht, 'FontSize', 14)
% right-hand reactions
arrow([ l1;-0.6 ], [ l1; -b ], 0.06)
ht = text((l1 + 0.1), -0.5, 'R_{2y}');
set(ht, 'FontSize', 14)
arrow([ (l1 + 0.35); 0 ], [ (l1 + r/2); 0 ], 0.06)
ht = text((l1+ 0.2), 0.2, 'R_{2x}');
set(ht, 'FontSize', 14)
% tensions in bars
alpha = atand(h/l2);
xa = 1;
ya = 0.6;
xb = 2;
yb = ya + (xb -xa)*tand(alpha);
arrow([ xa; ya ], [ xb; yb ], 0.06)
ht = text((2*xa + xb)/3, (ya + yb)/1.7, 'T_1', 'Rotation', alpha);
set(ht, 'FontSize', 14)
beta = atand(h/(l2 - l1));
xa =3;
ya = 0.3;
xb = 3.6;
yb = ya + (xb -xa)*tand(beta);
arrow([ xa; ya ], [ xb; yb ], 0.06)
ht = text((2*xa + xb)/3, (ya + yb)/1.7, 'T_2', 'Rotation', beta);
set(ht, 'FontSize', 14)
arrow([ 1; 0.1 ], [ 2; 0.1 ], 0.06)
ht = text(1.3, 0.25, 'T_3');
set(ht, 'FontSize', 14)
% acting force
arrow([ l2; (h - r/2) ], [ l2; 0.5 ], 0.07)
ht = text(4.1, h/1.5, 'F');
set(ht, 'FontSize', 14)

hold off