%FIG3_15  draws Figure 3.15, `A simple barge'
% Written by Adrian Biran for the book `What every engineer should know
 % about MATLAB and Simulink'

% define frame
plot([ 0 1] , [ 8.9 8.9 ], 'k-', [ 11.5 12.7 ], [ 8.9 8.9 ], 'k-', [ 13 18 ], [ 8.9 8.9 ], 'k-')
axis equal, axis off
axis([ 0 19.5 0 10 ])
hold on
plot([ 0.1 0.5 ], [ 8.8 8.8 ], 'k-')            % mark WL
plot([ 0.2 0.5 ], [ 8.7 8.7 ], 'k-')
plot([ 12 12.4 ], [ 8.8 8.8 ], 'k-')
plot([ 12 12.3 ], [ 8.7 8.7 ], 'k-')
plot([ 13.1 13.5 ], [ 8.8 8.8 ], 'k-')
plot([ 13.2 13.5 ], [ 8.7 8.7 ], 'k-')
plot([ 17.5 17.9 ], [ 8.8 8.8 ], 'k-')
plot([ 17.5 17.8 ], [ 8.7 8.7 ], 'k-')        % end WL
% front elevation
patch([ 1 1 11.5 11.5 11.25 11.25 1.25 1.25 1 ], [ 9.5 6.5 6.5 9.5 9.5 6.75 6.75 9.5 9.5 ], [ 0.6 0.6 0.6 ])
hp = plot([ 1 1 11.5 11.5 11.25 11.25 1.25 1.25 1 ], [ 9.5 6.5 6.5 9.5 9.5 6.75 6.75 9.5 9.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ 1 11.5 ], [ 9.5 9.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
plot([ 1 1 ], [ 6.5 4.9 ], 'k-')
plot([ 11.5 11.5 ], [ 6.5 4.9 ], 'k-')
arrow([ 6.25; 5 ], [ 1; 5 ], 0.1)
arrow([ 6.25; 5 ], [ 11.5; 5 ], 0.1)
ht = text(6, 5.5, 'L');
set(ht, 'FontSize', 14)
plot([ 1 1.25 ], [ 8 8 ], 'k-')                 % mark thickness
arrow([ 0.4; 8 ], [ 1; 8 ], 0.1)
arrow([ 2.5; 8 ], [ 1.25; 8 ], 0.1)
ht = text(1.7, 8.4, '0.1');
set(ht, 'FontSize', 14)
plot([ 3.5 3.5 ], [ 6.5 6.75 ], 'k-')
arrow([ 4.5; 5.5 ], [ 4.5; 6.5 ], 0.1)
arrow([ 4.5; 8.7 ], [ 4.5; 6.75 ], 0.1)
ht = text(4.0, 7.3, '0.1', 'Rotation', 90);
set(ht, 'FontSize', 14)

% top view
plot([ 0.5 12 ], [ 2.5 2.5 ], 'k-.')
hp = plot([ 1 1 11.5 11.5 1 ], [ 4 1 1 4 4  ], 'k-');   % external contour
set(hp, 'LineWidth', 1.5)
hp = plot([ 1.25 1.25 11.25 11.25 1.25 ], [ 3.75 1.25 1.25 3.75 3.75 ], 'k-');
set(hp, 'LineWidth', 1.5)
plot([ 11.5 13.1 ], [ 4 4 ], 'k-')
plot([ 11.5 13.1 ], [ 1 1 ], 'k-')
arrow([ 13; 2.5 ], [ 13; 1 ], 0.1)
arrow([ 13; 2.5 ], [ 13; 4 ], 0.1)
ht = text(12.6, 2.6, 'B', 'Rotation', 90);
set(ht, 'FontSize', 14)
% side elevation
plot([ 15.5 15.5 ], [ 6 10 ], 'k-.') 
hp = plot([ 14 14  17 17 14 ], [ 9.5 6.5 6.5 9.5 9.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
plot([ 17 19.1 ], [ 6.5 6.5 ], 'k-')
plot([ 17 19.1 ], [ 9.5 9.5 ], 'k-')
arrow([ 19; 8 ], [ 19; 6.5 ], 0.1)
arrow([ 19; 8 ], [ 19; 9.5 ], 0.1)
ht = text(18.6,  8, 'D', 'Rotation', 90);
set(ht, 'FontSize', 14)
plot([ 11.5 12.7 ], [ 6.5 6.5 ], 'k-')
arrow([ 12.6; 8 ], [ 12.6; 6.5 ], 0.1)
arrow([ 12.6; 8 ], [ 12.6; 8.9 ], 0.1)
ht = text(12.2 , 7.5, 'T', 'Rotation', 90);
set(ht, 'FontSize', 14)

% note
ht = text(13.5, 1.5, 'Dimensions in m');
set(ht, 'FontSize', 14)

hold off