% FIG3_2, draws Figure 3.2, `An ill-conditioned system'.
% Original file name ILLCOND1.

clear all
subplot(1, 2, 1)
% define frame
hp = plot([ -1 5 ], [ 0 0 ], 'k-', [ 0 0 ], [ -1 3.5 ], 'k-');
grid
set(hp, 'LineWidth', 1.5);
axis equal
axis([ -1 5 -1 3.5 ])
ht = xlabel('x');
set(ht, 'FontSize', 16)
ht = ylabel('y');
set(ht, 'FontSize', 16)
hold on
% first line
a1 = 1;
b1 = 0.5;
x   = -1: 5;
y1 = a1 + b1*x;
plot(x, y1, 'k-')
% second line
a2 = 1.04;
b2 = 0.47;
x   = -1: 5;
y2 = a2 + b2*x;
plot(x, y2, 'k-')
% find intersection
A   = [ b1 -1; b2 -1 ]; % matrix of coefficients
% cond(A)
B   = [ -a1; -a2 ];
I   = A\B;
point(I, 0.1)
ht = text(I(1), 1.3*I(2), 'I');
set(ht, 'FontSize', 16)
t(1) = { 'y_1 = 1.00 + 0.5x'};
t(2) = { 'y_2 = 1.04 + 0.47x'};
title(t);
tt = [ 'I = [ ' num2str(I(1))  '; ' num2str(I(2)) ' ]' ];
text(1., 0.5, tt)

hold off

subplot(1, 2, 2)
% define frame
hp = plot([ -1 5 ], [ 0 0 ], 'k-', [ 0 0 ], [ -1 3.5 ], 'k-');
grid
set(hp, 'LineWidth', 1.5);
axis equal
axis([ -1 5 -1 3.5 ])
ht = xlabel('x');
set(ht, 'FontSize', 16)
ht = ylabel('y');
set(ht, 'FontSize', 16)
hold on
% first line
a1 = 1.01;
b1 = 0.5;
x   = -1: 5;
y1 = a1 + b1*x;
plot(x, y1, 'k-')
% second line
a2 = 1.04;
b2 = 0.47;
x   = -1: 5;
y2 = a2 + b2*x;
plot(x, y2, 'k-')
% find intersection
A   = [ b1 -1
            b2 -1 ]; % matrix of coefficients
cond(A);
B   = [ -a1; -a2 ];
I   = A\B;
point(I, 0.1)
ht = text(I(1), 1.3*I(2), 'I');
set(ht, 'FontSize', 14)
t(1) = { 'y_1 = 1.01 + 0.5x'};
t(2) = { 'y_2 = 1.04 + 0.47x'};
title(t);
tt = [ 'I = [ ' num2str(I(1))  '; ' num2str(I(2)) ' ]' ];
text(1.5, 0.5, tt)

hold off