% FIG3_3, generates Figure 3.3, `The intersection of three planes'.
% Original file name THREEPLANES.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

subplot(2, 2, 1)
    % define axes of coordinates
    plot3([ 0 12], [ 0 0 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 22 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 0 ], [ 0 5 ], 'k-')
    axis equal, axis off
    set(gca, 'Xdir', 'reverse', 'YDir', 'reverse')
    title('The plane x/10 + y/3 + z/3 = 1')
    ht = text(11.5, 0, 2, 'x');
    set(ht, 'FontSize', 14)
    ht = text(0, 21.5, 2.5, 'y');
    set(ht, 'FontSize', 14)
    ht = text(2.5, 0, 4.5, 'z');
    set(ht, 'FontSize', 14)
    hold on
    % define first plane
    hp = plot3([ 10 0 0 10 ], [ 0 3 0  0 ], [ 0 0 3 0 ], 'k-');
    set(hp, 'LineWidth', 1.5)
hold off
subplot(2, 2, 2)
    % define axes of coordinates
    plot3([ 0 12], [ 0 0 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 22 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 0 ], [ 0 5 ], 'k-')
    axis equal, axis off
    set(gca, 'Xdir', 'reverse', 'YDir', 'reverse')
    title('Plus the plane x/2 + y/20 + z/2 = 1')
    ht = text(11.5, 0, 2, 'x');
    set(ht, 'FontSize', 14)
    ht = text(0, 21.5, 2.5, 'y');
    set(ht, 'FontSize', 14)
    ht = text(2.5, 0, 4.5, 'z');
    set(ht, 'FontSize', 14)
    hold on
    % calculate intersection in plane z = 0
    A1 = [ 1/10 1/3 ; 1/2 1/20 ];
    B1 = [ 1; 1 ];
    X1 = A1\B1;
    P1 = [ X1; 0 ];
    % calculate intersection in plane x = 0
    A2 = [ 1/3 1/3 ; 1/20 1/2 ];
    B2 = [ 1; 1 ];
    X2 = A2\B2;
    P2 = [ 0; X2 ];
    pline([ P1 P2 ], 1.5, 'k', '-')
   % define first plane, visible lines
    hp = plot3([ 10 X1(1) 0 0 10 ], [ 0 X1(2) X2(1)  0 0 ], [ 0 0 X2(2) 3 0 ], 'k-');
    set(hp, 'LineWidth', 1.5)
    % hidden lines of first plane
    hp = plot3([ X1(1) 0 0 ], [ X1(2) 3 X2(1) ], [ 0 0 X2(2) ], 'k:');
     set(hp, 'LineWidth', 1)
    % define second plane, visible lines
    hp = plot3([ X1(1) 0 0 X1(1) ], [ X1(2) 20 X2(1)  X1(2) ], [ 0 0 X2(2) 0 ], 'k-');
    set(hp, 'LineWidth', 1.5)
    % hidden lines of second plane
    hp = plot3([ X1(1) 2 0 0 ],  [ X1(2)  0 0 X2(1) ], [ 0 0 2 X2(2) ], 'k:');
    set(hp, 'LineWidth', 1)
subplot(2, 2, 3)
    % define axes of coordinates
    plot3([ 0 12], [ 0 0 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 22 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 0 ], [ 0 5 ], 'k-')
    axis equal, axis off
    set(gca, 'Xdir', 'reverse', 'YDir', 'reverse')
    title('Intersection plus plane x/5 + y/10 + z/0.5 = 1')
    ht = text(11.5, 0, 2, 'x');
    set(ht, 'FontSize', 14)
    ht = text(0, 21.5, 2.5, 'y');
    set(ht, 'FontSize', 14)
    ht = text(2.5, 0, 4.5, 'z');
    set(ht, 'FontSize', 14)
    hold on
    % plot third plane
    hp = plot3([ 5 0 0 5 ], [ 0 10 0  0 ], [ 0 0 0.5 0 ], 'k-');
    set(hp, 'LineWidth', 1.5)
    % find intersection point
    A   = [ 1/10 1/3 1/3; 1/2 1/20 1/2; 1/5 1/10 1/0.5 ];
    B   = [ 1; 1; 1 ];
    X   = A\B;
    % plot intersection of first two planes
    pline([ P1 X ], 1, 'k', ':')
    pline([ X P2 ], 1.5, 'k', '-')
hold off    
subplot(2, 2, 4)
    % define axes of coordinates
    plot3([ 0 12], [ 0 0 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 22 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 0 ], [ 0 5 ], 'k-')
    axis equal, axis off
    set(gca, 'Xdir', 'reverse', 'YDir', 'reverse')
    title('Third plane and solution point')
    ht = text(11.5, 0, 2, 'x');
    set(ht, 'FontSize', 14)
    ht = text(0, 21.5, 2.5, 'y');
    set(ht, 'FontSize', 14)
    ht = text(2.5, 0, 4.5, 'z');
    set(ht, 'FontSize', 14)
    hold on
    % plot third plane
    hp = plot3([ 5 0 0 5 ], [ 0 10 0  0 ], [ 0 0 0.5 0 ], 'k-');
    set(hp, 'LineWidth', 1.5)
    % plot intersection point
    hp = plot3(X(1), X(2), X(3), 'k.');
    set(hp, 'LineWidth', 2)
    
    hold off

    
   

    
   
