% FIG3_4, draws Fig. 3.4, `A simply-supported beam'.
% Original file name SIMPLEBEAMFIGURE.
% Written by Adrian Biran for the book
% `What every engineer shopuld know about mATLAB and Simulink'.

% define parameters
l            = 5;
l1          = 1;
l2          = 3;
alpha = 60;
F1          = 800;
F2          = 500;

% define frame
hp = plot([ 0 l ], [ 0 0 ], 'k-');
set(hp, 'LineWidth', 1.5)
axis equal, axis off
axis([ -2 1.3*l -2.5 2 ])
hold on
% plot left support
support(0.3, 0, 0)
support(0.3, l, 0)
% plot force F1
arrow([ l1; F1/1000 ],[ l1; 0 ], 0.05)
ht = text(1.1*l1, F1/1500, 'F_1');
set(ht, 'FontSize', 14)
% plot force F2
F20 = [ (l2 - (F2/1000)*sind(alpha)); (F2/1000*(1 + cosd(alpha))) ]; 
arrow(F20,[ l2; 0 ], 0.05)
ht = text(1.01*l2, F2/1200, 'F_2');
set(ht, 'FontSize', 14)
% show reactions
arrow([ 0; -1.5] ,[ 0; -0.3*sqrt(3/4) ], 0.09)
ht = text(0.1, -1, 'R_1');
set(ht, 'FontSize', 14)
arrow([ l; -1.5] ,[ l; -0.3*sqrt(3/4) ], 0.09)
ht = text((l +0.1), -1, 'R_{2y}');
set(ht, 'FontSize', 14)
arrow([ 1.2*l; 0 ], [ l; 0 ], 0.09)
ht = text(1.1*l, 0.3, 'R_{2x}');
set(ht, 'FontSize', 14)
% show dimensions
plot([ 0 0 ], [ 0 1.9 ], 'k-')
plot([ l l ], [ 0 1.9 ], 'k-')
arrow([ l/2; 1.8 ], [ 0; 1.8 ], 0.04)
arrow([ l/2; 1.8 ], [ l; 1.8 ], 0.04)
ht = text(l/2, 2.05, 'l');
set(ht, 'FontSize', 14)
plot([ l2 l2 ], [ 0 1.3 ], 'k-')
arrow([ l2/2; 1.2], [ 0; 1.2 ], 0.04)
arrow([ l2/2; 1.2 ], [ l2; 1.2 ], 0.04)
ht = text(l2/2, 1.5, 'l_2');
set(ht, 'FontSize', 14)
t = 120: 2: 180;
r = 0.4;
x = l2+ r*cosd(t);
y = r*sind(t);
plot(x, y, 'k-')
ht = text(0.8*l2, 0.3, '\alpha');
set(ht, 'FontSize', 14)
arrow([ l1/2; F1/1300 ], [ 0; F1/1300 ], 0.04)
arrow([ l1/2; F1/1300 ], [ l1; F1/1300 ], 0.04)
ht = text(l1/2, F1/900, 'l_1');
set(ht, 'FontSize', 14)



hold off
