%FIG3_5   Plots Figure 3.5, `A DC circuit'.
 % Written by Adrian Biran for the book `What every engineer should know
 % about MATLAB and Simulink'

% define frame plotting main wire
plot([ 0 0 6.5 ], [ 3.5 5 5 ], 'k-', [ 8.5 15 15 ], [ 5 5 3.5 ], 'k-')
axis equal ,axis off
axis([ -1 16 -1.5 6 ])
hold on
% continue wire lines
plot([ 15 15 12.6 ], [ 1.5 0 0 ], 'k-', [ 12.4 8.5 ], [ 0 0 ], 'k-') 
plot([ 6.5 2.6 ], [ 0 0 ], 'k-', [ 2.4 0 0 ], [ 0 0 1.5 ], 'k-')
% plot internal branches
plot([ 5 5 ], [ 0 1.5 ], 'k-', [ 5 5 ], [ 3.5 5 ], 'k-')
plot([ 10 10 ], [ 0 1.5 ], 'k-', [ 10 10 ], [ 3.5 5 ], 'k-')
% mark nodes
point([ 5; 0 ], 0.1)
ht = text(4.8, -0.8, '4');
set(ht, 'FontSize', 14)
point([ 5; 5 ], 0.1)
ht = text(4.8, 5.5, '1');
set(ht, 'FontSize', 14)
point([ 10; 0 ], 0.1)
ht = text(9.8, -0.8, '3');
set(ht, 'FontSize', 14)
point([ 10; 5], 0.1)
ht = text(9.8, 5.5, '2');
set(ht, 'FontSize', 14)
% plot resistors
hp = plot([ -0.2 -0.2 0.2 0.2 -0.2 ], [ 1.5 3.5 3.5 1.5 1.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(0.4, 2.2, 'R_1');
set(ht, 'FontSize', 14)
hp = plot([ 4.8 4.8 5.2 5.2 4.8 ], [ 1.5 3.5 3.5 1.5 1.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(5.4, 2.2, 'R_3');
set(ht, 'FontSize', 14)
hp = plot([ 9.8 9.8 10.2 10.2 9.8 ], [ 1.5 3.5 3.5 1.5 1.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(10.4, 2.2, 'R_4');
set(ht, 'FontSize', 14)
hp = plot([ 14.8 14.8 15.2 15.2 14.8 ], [ 1.5 3.5 3.5 1.5 1.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(15.4, 2.2, 'R_5');
set(ht, 'FontSize', 14)
hp = plot([ 6.5 6.5 8.5 8.5 6.5 ], [ -0.2 0.2 0.2 -0.2 -0.2 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(7.3, 0.8, 'R_6');
set(ht, 'FontSize', 14)
hp = plot([ 6.5 6.5 8.5 8.5 6.5 ], [ 4.8 5.2 5.2  4.8 4.8 ], 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(7.3, 5.8, 'R_2');
set(ht, 'FontSize', 14)
% plot voltage sources
hp = plot([ 2.6 2.6 ], [ -0.3 0.3 ], 'k-');
set(hp, 'LineWidth', 1.5)
plot([ 2.4 2.4 ], [ -0.5 0.5 ], 'k-')
ht = text( 2.6, -0.8, 'V_1');
set(ht, 'FontSize', 14)
hp = plot([ 12.6 12.6 ], [ -0.3 0.3 ], 'k-');
set(hp, 'LineWidth', 1.5)
plot([ 12.4 12.4 ], [ -0.5 0.5 ], 'k-')
ht = text( 12.6, -0.8, 'V_2');
set(ht, 'FontSize', 14)
% show currents
arrow([ 2; 4.5 ], [ 3; 4.5 ], 0.1)
ht = text(2.4, 3.7, 'i_1');
set(ht, 'FontSize', 14)
arrow([ 8; 4.5 ], [ 7; 4.5 ], 0.1)
ht = text(7.4, 3.7, 'i_2');
set(ht, 'FontSize', 14)
arrow([ 4.3; 3 ], [ 4.3; 2 ], 0.1)
ht = text(3.7, 2.4, 'i_3');
set(ht, 'FontSize', 14)
arrow([ 9.3; 2 ], [ 9.3; 3 ], 0.1)
ht = text(8.7, 2.4, 'i_4');
set(ht, 'FontSize', 14)
arrow([ 14.3; 3 ], [ 14.3; 2 ], 0.1)
ht = text(13.7, 2.4, 'i_5');
set(ht, 'FontSize', 14)
arrow([ 8; -1.4 ], [ 7; -1.4 ], 0.1)
ht = text(7.4, -0.8, 'i_6');
set(ht, 'FontSize', 14)
% show loop currents
c = [ 2.5; 2.3 ];          % center of loop
r = 0.75;                    % radius of circle
t = 270: -2.5: 0;       % parameter of circle 
x = c(1) + r*cosd(t);
y = c(2) + r*sind(t);
plot(x, y, 'k-')
arrow([ (c(1) + r); 2.6 ], [ (c(1) + r); 2.2 ], 0.08)
ht = text(2.3, 2, 'J_1');
set(ht, 'FontSize', 14)
c = [ 7.5; 2.3 ];          % center of loop
x = c(1) + r*cosd(t);
y = c(2) + r*sind(t);
plot(x, y, 'k-')
arrow([ (c(1) + r); 2.6 ], [ (c(1) + r); 2.2 ], 0.08)
ht = text(7.3, 2, 'J_2');
set(ht, 'FontSize', 14)
c = [ 12.5; 2.3 ];          % center of loop
x = c(1) + r*cosd(t);
y = c(2) + r*sind(t);
plot(x, y, 'k-')
arrow([ (c(1) + r); 2.6 ], [ (c(1) + r); 2.2 ], 0.08)
ht = text(12.3, 2, 'J_3');
set(ht, 'FontSize', 14)

hold off