% FIG7_2, plots Figure 7.2, `Complex number represented as a vector'.
% Original file name PLOTZ2.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

clear all
O = [ 0; 0 ];
% define complex number z1
z1 = 3 + 4i;
Z = [ real(z1) ; imag(z1) ];

arrow([ 0; 0 ], [ real(z1); imag(z1)  ], 0.15)

% plot support of arrow
grid
axis([ 0 4 0 5 ])
axis equal
set(gca,  'XTick', 0: 5,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0: 5,...
                    'YTick', 0: 5,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0: 5)
ht = text(3.2, 4, 'z_1');                
set(ht, 'FontSize', 16)
ht = xlabel('\Re');
set(ht, 'FontSize', 16)
ht =ylabel('\Im');
set(ht, 'FontSize', 16)
hold on
pline([ O Z ], 2, 'k', '-')
% 'LineWidth', 1)

hold off
