% FIG8_2,  Draws Figure 8.2, `Simpson's rule'.
% Original file name SIMPRULE.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
hp = plot([ 40 150 ], [ 0 0 ], 'k-');
set(hp, 'LineWidth', 1.5)
axis off
hold on
x = 50: 0.5: 130;          
h = @(x) 5*sind(x).^2;
y = feval(h, x);
hp = plot(x, y, 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(100, feval(h, 90), 'f(x)');
set(ht, 'FontSize', 16)
% show ordinates
hc = plot([ 50 50 ], [ 0 feval(h, 50) ], 'k--');
set(hc, 'LineWidth', 1.3)
ht = text(51, 0.2, 'X_1');
set(ht, 'FontSize', 16)
hc = plot([ 90 90 ], [ 0 feval(h, 90) ], 'k--');
set(hc, 'LineWidth', 1.3)
ht = text(91, 0.2, 'X_2');
set(ht, 'FontSize', 16)
hc = plot([ 130 130 ], [ 0 feval(h, 130) ], 'k--');
set(hc, 'LineWidth', 1.3)
ht = text(131, 0.2, 'X_3');
set(ht, 'FontSize', 16)
% show parabola ax^2 + bx + c 
X    = [ 50 90 130 ];
Y    = feval(h, X);
C    = polyfit(X, Y, 2);
yp = polyval(C, x);
hp = plot(x, yp, 'k:');
set(hp, 'LineWidth', 1.3)
% color area under parabola
patch([ x 130 50], [ yp 0 0 ], [ 0.6 0.6 0.6 ])
alpha(0.4)

hold off