% FIG8_1, draws Figure 8.1, `The trapezoidal rule'.
% Original file name TRAPRULE.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
hp = plot([ 40 150 ], [ 0 0 ], 'k-');
set(hp, 'LineWidth', 1.5)
axis off
hold on
x = 50: 0.5: 130;          
h = @(x) 5*sind(x).^2;
y = feval(h, x);
hp = plot(x, y, 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(100, feval(h, 90), 'f(x)');
set(ht, 'FontSize', 16)
% show ordinates
hc = plot([ 50 50 ], [ 0 feval(h, 50) ], 'k--');
set(hc, 'LineWidth', 1.3)
ht = text(51, 0.2, 'X_1');
set(ht, 'FontSize', 16)
hc = plot([ 85 85 ], [ 0 feval(h, 85) ], 'k--');
set(hc, 'LineWidth', 1.3)
ht = text(86, 0.2, 'X_2');
set(ht, 'FontSize', 16)
hc = plot([ 130 130 ], [ 0 feval(h, 130) ], 'k--');
set(hc, 'LineWidth', 1.3)
ht = text(131, 0.2, 'X_3');
set(ht, 'FontSize', 16)
% show trapezes
hp = plot([ 50 85 ], [ feval(h, 50) feval(h, 85) ], 'k-');
set(hp, 'LineWidth', 1.3)
hp = plot([ 85 130 ], [ feval(h, 85) feval(h, 130) ], 'k-');
set(hp, 'LineWidth', 1.3)
% color trapezes
patch([ 50 85 130 130 85 50 ], [ feval(h, 50) feval(h, 85) feval(h, 130)  0 0 0 ], [ 0.6 0.6 0.6 ])
alpha(0.4)

hold off