
%PLINE plots line with given properties, between given points.
%               pline(P, w, c, s) plots a line between the points whose
%               coordinates are described in the array P, the line
%               width being w, the colour, c, and the line style s.
%               For m points in an n-dimensional plot, P is an n-by-m
%               array. The inpt arguments c and s should be spplied as
%               strings.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

     function        pline(P, w, c, s)

[ m, n ] = size(P);
if m == 2               % two-dimensional plot
     Hl = plot(P(1, :), P(2, :));
     set(Hl, 'LineWidth', w, 'Color', c, 'LineStyle', s)
elseif m == 3    % three-dimensional plot
     H2 = plot3(P(1, :), P(2, :), P(3, :));
     set(H2, 'LineWidth', w, 'Color', c, 'LineStyle', s)
else
     error('Input argument P has inadequate dimensions')
end

