%BEZIER shows control polygon and Bezier curve of order 4.
% Written by Adrian Biran. Although it is not used in the book
% `What every engineer should know about MATLAB and Simulink', 
% this file is included in the companion software as an additional 
% example.

% define frame
plot([ 0 10 ], [ 0 0 ], 'k-', [ 0 0 ], [ 0 9 ], 'k-'), grid
hl = xlabel('x');
set(hl, 'FontSize', 16)
hl = ylabel('y');
set(hl, 'FontSize', 16)
hold on
% define control polygon
P1 = [ 1;   0.5 ];
ht = text(1, 0.1, 'P_1');
set(ht, 'FontSize', 14)
P2 = [ 6.5; 2 ];
ht = text(6.5, 1.6, 'P_2');
set(ht, 'FontSize', 14)
P3 = [ 9;    4.5 ];
ht = text(9.2, 4.5, 'P_3');
set(ht, 'FontSize', 14)
P4 = [ 9;    8 ];
ht = text(9.2, 8, 'P_4');
set(ht, 'FontSize', 14)
pline([ P1 P2 P3 P4 ], 1, 'k', '-')
% build Bezier curve
t = 0: 0.02: 1;
x = (1 -t).^3*P1(1) + 3*(1 -t).^2.*t*P2(1) + 3*(1 - t).*t.^2*P3(1) + t.^3*P4(1);
y = (1 -t).^3*P1(2) + 3*(1 -t).^2.*t*P2(2) + 3*(1 - t).*t.^2*P3(2) + t.^3*P4(2);
pline( [ x; y ], 1.5, 'k', '-')

hold off