%CHECKVISC Checks cubic regression of kinematic viscosity data and its
%integral and calculates the mean value as shown in Example 8.1 of the book 
% `What every engineer should know about MATLAB and Simulink'. Calls the
% table of values stored in the file kvisc.m.
% Written by Adrian Biran.

kvisc;
T         = nu(:, 1);
visc = nu(:, 2);
plot(T, visc, 'ro'), grid
% fit cubic polynomial
C = polyfit(T, visc, 3);
h = @(T) C(1)*T.^3 + C(2)*T.^2 + C(3)*T + C(4);
hold on
y = feval(h, T);
plot(T, y, 'k-')
% calculate mean value of kinematic viscosity
disp('Mean value calculated by means of the quadl function')
Vmean = quadl(h, 0, 28)/(T(end) - T(1))
