%EXAMROT  trancendental equation resulting from a problem of rotation
% Written by Adrian Biran for Subsection 3.9.1 in `What every engineer
% should know about MATLAB and Simulink'. Produces Figure 3.17, `Rotating
% the point P1 around origin'.

x1          = 3;
y1          = 2;
r            = norm([ x1; y1 ])
x2          = 2;
t            = 0: 2.5: 90;
xc         = r*cosd(t);
yc         = r*sind(t);
hp         = plot(xc, yc,  'k--');
grid
set(hp, 'LineWidth', 1.3)
axis equal
ht         = xlabel('x');
set(ht, 'FontSize', 16)
ht         = ylabel('y');
set(ht, 'FontSize', 16)
hold on
point([ x1; y1 ], 0.03)
ht         = text(1.01*x1, 1.05*y1, 'P_1');
set(ht, 'FontSize', 16)

h1 = @(alpha) x1*cosd(alpha) + y1*sind(alpha) - x2;
h2 = @(alpha) -x1*sind(alpha) + y1*cosd(alpha);
alpha = newton(h1, h2, 1)
y2          = -x1*sind(alpha) + y1*cosd(alpha);
point([ x2; y2 ], 0.03)
ht         = text(1.01*x2, 1.05*y2, 'P_2');
set(ht, 'FontSize', 16)

hold off