%EXAMPLE12.2 Extracting the spectral frequencies of a signal
% Written by Moshe Breiner for Example 16.4 in `MATLAB for engineers'.
% Reused in `What every engineer should know about MATLAB and Simulink'
% with the kind permission of Pearson Education..
% Produces Figures 12.2 and 12.3.

N =512;
b = 1:N;
Ts = 1/128;
fs = 1/Ts;
ts = Ts*(b - 1);
a1 = 7; f1 = 16;
x1 = a1*sin(2*pi*f1*ts);
a2 = 3; f2 = 48;
x2 = a2*sin(2*pi*f2*ts);
x = x1 + x2;
%%%%%%%%%%%% see resulting signal
n = N/8;
plot(ts(1:n), x(1:n), 'k-'), grid
xlabel('Time, s')
ylabel('x')
% axis([ 1 N 0 8000 ]);
% print -deps extr1.eps
pause
%%%%%%%%%%%%% power spectrum
X = fft(x);
pwr = X.*conj(X)/N;
frs = (b - 1)/N*fs;
subplot(2, 1, 1)
plot(b, pwr, 'k-'), grid
xlabel('bin number')
ylabel('Power')
subplot(2, 1, 2)
plot(frs, pwr, 'k-'); grid
xlabel('Frequency, Hz')
ylabel('Power')
axis([ 1 frs(N) 0 8000 ])
% print -deps pwrfig.eps



