%EXAMPLE16.4 Extracting the spectral frequencies of a signal
% Initially written by Moshe Breiner for Example 16.4 in `MATLAB for engineers'.
% Modified by Adrian Biran for Example 12.2 in `What every engineer should know
% about MATLAB and Simulink', with the kind permission of Pearson Education. 
% Produces Figures 12.4. 

N =512;
b = 1:N;
Ts = 1/128;
fs = 1/Ts;
ts = Ts*(b - 1);
a1 = 7; f1 = 16;
x1 = a1*sin(2*pi*f1*ts);
a2 = 3; f2 = 48;
x2 = a2*sin(2*pi*f2*ts);
x = x1 + x2;
%%%%%%%%%%%% see resulting signal
n = N/8;
plot(ts(1:n), x(1:n), 'k-'), grid
xlabel('Time, s')
ylabel('x')
% axis([ 1 N 0 8000 ]);
% print -deps extr1.eps
pause
%%%%%%%%%%%%% power spectrum
Fs = 128;
h    = spectrum.welch;
Hpsd = psd(h, x, 'Fs', Fs);
plot(Hpsd)