%EXAMPLE16_7 Trigonometric decomposition of a triangular signal.
% Written by Moshe Breiner for Example 16.7 in `MATLAB for engineers'.
% Reused in `What every engineer should know about MATLAB and Simulink'
% with the kind permission of Pearson Education.
% Produces Figure 12.6.

T = 5;
N = 512;
t = linspace(0, T, N+1);
t = t(1:N);
x1 = 2*t/T - 1/2;
x2 = 2*(T - t)/T - 1/2;
x = min(x1, x2);
plot(t, x, 'k-')
xlabel('t')
ylabel('Signal')
%%%% Compute coefficents of the sines cosines
X = fft(x);
A = real(X)/N;
B = -imag(X)/N;
sumcos = zeros(N, N);
sumsin = zeros(N, N);
for h = 1:N
    sumcos(h, :) = A(h)*cos(2*pi*(h -1)*t/T);
    sumsin(h, :) = B(h)*sin(2*pi*(h - 1)*t/T);
end
y = sum(sumcos + sumsin);
%%% check results by plotting
hold on
plot(t, y, 'k--')
legend('Trigonometric signal', 'Signal from decomposition')
%%% compare numerically
max(abs(x - y))



