   %EXPONENTIAL Shows the effect of truncation on the shape
   %            of the exponential function
   %            Written by Adrian Biran, May 2006,  for Example 5.2 in
   %            `What evry engineer should know about MATLAB and Simulink'.
   %            Produces Figure 5.4.

   x = 0: 0.01: 5;
   y = exp(x);
   plot(x, y, 'k-', 'LineWidth', 1.5)
   xlabel('x')
   ylabel('Approximation of e^x')
   hold on
   plot([ 0 5 ], [ 1 1 ], 'r--')
   S = 1;
   for k = 1:7
      S = S + x.^k/factorial(k);
      plot(x, S, 'b-.')
      text(5, S(end), [ ' ' num2str(k + 1) ' terms' ])
   end
   legend('True function', 'One term')