%LINPHASEPLANE    Generates Fiure 11.34, `The phase plane of the linear
%pendulum'. Written by Adrian Biran for the book
% `What every engineer should know about MATLAB and Simulink'.

% we assume r, rod length, equal to 1
omega0 = sqrt(9.81);
T              = 2*pi/omega0;
t              = 0: T/90: T;
subplot(2, 1, 1)
% initial angle variable,  initial velocity constant
phidot0 = 0.1;                      % initial velocity
k                = 1;                         % counter
    for phi0 = 0: pi/10: pi/2;
          amplit = sqrt(phi0^2 + (phidot0/omega0)^2);     % amplitude
          eps         = atan(-phidot0/(omega0*phi0));              % phase   
          phi         = amplit*cos(omega0*t + eps);
          phidot = -omega0*amplit*sin(omega0*t + eps);
          plot(phi, phidot, 'k');
          param    = fix(phi0*100)/100;
                    text(phi(k), phidot(k), num2str(param))
          k               = k + 3;
          hold on
    end
    hold off
    xlabel('\phi')
    ylabel('\phi^/')
    title([ '\phi^/(0) = ', num2str(phidot0) ])
subplot(2, 1, 2)
% initial angle constant, initial velocity variable
phi0 = 0.1;                      % initial velocity
k         = 1;                         % counter
    for phidot0 = 0: 0.2: 1;
          amplit = sqrt(phi0^2 + (phidot0/omega0)^2);     % amplitude
          eps         = atan(-phidot0/(omega0*phi0));              % phase   
          phi         = amplit*cos(omega0*t + eps);
          phidot = -omega0*amplit*sin(omega0*t + eps);
          plot(phi, phidot, 'k');
          param    = fix(phidot0*100)/100;
                    text(phi(k), phidot(k), num2str(param))
          k               = k + 4;
          hold on
    end
    hold off
    xlabel('\phi')
    ylabel('\phi^/')
    title([ '\phi(0) = ', num2str(phi0) ])
  