%MECHEXAMPLE    Produces Figure 7.8, `The frequency response of a mechanical system'
%                                  that comprises a mass, a dashpot, a
%                                  spring  and a driving force. See pages
%                                  264-5 in `What every engineer should
%                                  konw about MATLB and Simulink'.
%                                  Written by Adrian Biran. 

m   = 2;                   % mass, kg
c   = 0.4;                % damping, Ns/m
k   = 0.1;                % spring, N/m
F0 = 1;                   % driving force amplitude
% derived data
omega0 = sqrt(k/m)
% write transfer function
omega = linspace(0, 0.5);
subplot(2, 1, 1)
c = 0.1;
hold on
for k = 1:3
        T = 1./(m*(omega0.^2 - omega.^2) + i*c*omega);
    plot(omega/omega0, abs(T), 'k-')
    grid  
    ylabel('Amplitude')
    text(1, abs(T(40)), [ '  c = ' num2str(c) ])
    c = c + 0.3;
end
hold off
c = 0.1;
subplot(2, 1, 2)
hold on
for k = 1:3
    T = 1./(m*(omega0.^2 - omega.^2) + i*c*omega);
    plot(omega/omega0, 180*angle(T)/pi, 'k-')
    grid
    xlabel('\omega/\omega_0')
    ylabel('Phase, deg')
    text(2.25, 180*angle(T(end))/pi, [ 'c = ' num2str(c) ])
    c = c + 0.3;
end
hold off