%MYBODE produces Figure 12.8, `Bode diagram of mass-spring-damper system'.
% Written for the book `What every engineer should know about MATLAB
% and Simulink'.

% define system parameters
m = 2;               % mass, kg
c = 0.4;            % damping, Ns/m
k = 0.1;            % spring constant, N/m
disp('Own frequency')
sqrt(k/m)

% define transfer function
pnum =  [ 0 0 1 ];        % numerator
pden = [ m  c k ];      % denominator
% calculate magnitudes, decibels
om = logspace(-2.5, 2.5);       % frequency scale, rad/s
s            = i*om;
ol         = polyval(pnum, s)./polyval(pden, s);
olmag = 20*log10(abs(ol));
% calculate phase, degrees
olpha = 180/pi*angle(ol);
% plot magnitude curve
subplot(2, 1, 1)
    semilogx(om, olmag, 'k-')
    grid
    ylabel('Magnitude, db')
    title('Bode plot')
% plot phase curve
subplot(2, 1, 2)
    semilogx(om, olpha, 'k-')
    grid
    xlabel('Frequency, rad/s')
    ylabel('Phase, degrees')
% print -deps MyBode.eps    

