%OVERDETERMINED1   example of overdetermined system in Subsection 3.5.2
% of the book `What every engineer should know about MATLAB and Simulink'.
% Written by Adrian Biran.

A = [ 1 3 ; 2 4; 4 5 ];
B = [ 2; 4; 6 ];
X = A\B
% plot equations
x   = 0: 0.01: 2;
y1 = -x/3 + 2/3;
y2 = -x/2 + 1;
y3 = -4*x/5 + 6/5;
hp = plot(x, y1, 'k-', x, y2, 'k--', x, y3, 'k:');
set(hp, 'LineWidth', 1.5)
grid
ht = xlabel('x');
set(ht, 'FontSize', 16)
ht = ylabel('y');
set(ht, 'FontSize', 16)
ht = legend('x_ + 3y = 2', '2x + 4y = 4', '4x + 5y = 6');
set(ht, 'FontSize', 16)
hold on
point(X, 0.02)
% Residual
R = A*X - B
hold off
%%%%%%%%% Alternative solution %%%%%%%%%%%%
X2 = inv(A'*A)*A'*B
%%%%%%%% Pseudoinverse solution %%%%%%%%%%%
X3 = pinv(A)*B
disp('Check identity of solutions')
X - X3