% OVERDETERMINED2  Example of overdetermined system obtained from
% measurements in Subsection 3.5.3
% of the book `What every engineer should know about MATLAB and Simulink'.
% Written by Adrian Biran.
% Produces figures similar to Figures 3.7 and 3.8, but may differ
% slightly as the function rand generates each time other numbers.

% ideal data
x   = 0: 5;
y1 = 3*x + 2
% plot(x, y1, 'r-')
r   = 2*rand(size(y1));
y2 = y1 + r - mean(r)
hold on
hp = plot(x, y2, 'k*');
set(hp, 'LineWidth', 1.5)
grid
ht = title('Measured points');
set(ht, 'FontSize', 16)
ht = xlabel('x');
set(ht, 'FontSize', 14)
ht = ylabel('y');
set(ht, 'FontSize', 14)
A = [ x'  ones(6, 1) ];
B = y2';
X = A\B
y3 = X(1)*x + X(2);
% print -deps OverDeterm2.eps
pause
hp = plot(x, y3, 'k-');
set(hp, 'LineWidth', 1.5)
ht = title('Regression line');
set(ht, 'FontSize', 16)
% print -deps OverDeterm3.eps

hold off