%SIMPLEBEAM     Example of simple beam leading to a system of linear
%                                equations, Subsection 3.3.1 of the book
% `What every engineer should know about MATLAB and Simulink'.
% Written by Adrian Biran

l            = 5;           % m
l1          = 1;           % m
l2          = 3;           % m
alpha = 60;         % degrees 
F1          = 800;       % N 
F2          = 500;       % N
% build coeeficient matrix
A = [ 1 0 1; 0 1 0 ; 0 0 l ];
% build free vector
B = [ F1 + F2*sind(alpha); F2*cosd(alpha); l1*F1 + l2*F2*sind(alpha) ];
% solve system
X      = A\B
R1    = X(1)
R2x = X(2)
R2y = X(3)
% check results
(l- l1)*F1 + (l - l2)*F2*sind(alpha) - l*R1