%SYMINT   Examples of symbolic integration in Section 8.5 of
% `What every engineer should know about MATLAB and Simulink'.
% Written by Adrian Biran

syms alpha  a b x y t 

disp('Example of sine function')
y = sin(alpha);
Ii = int(y)
Id = int(y, 0 , pi)
eval(Id)
disp('Example of rational function')
y = 1/(1 + x)
Ii = int(y)
diff(Ii)
Id = int(y, 0 , 1)
eval(Id)
disp('Example of error function')
E = exp(-x^2)
I = int(E)
disp('Example of elliptic integral')
x   = a*cos(2*pi*t);
y   = b*sin(2*pi*t);
xdot = diff(x)
ydot = diff(y)
I0       = sqrt(xdot^2 + ydot^2)
I         = int(I0)
