%VERTICALTHROW       solves problem of vertical throw.
%            Written by Adrian Biran, May 2006,  for Example 3.3 in
%            `What every engineer should know about MATLAB and Simulink'.
%            Produces Figure 3.13.

g = 9.18;                       % acceleration of gravitation, m/s^2
V0 = 10;                        % initial velocity, m/s

c = zeros(3, 1);
c(1) = g/2;
c(2) = -V0;
c(3) = 5;               % height, m
roots(c)
% plot height versus time
t_end = 2*V0/g;
t = 0: t_end/50: t_end;
z = V0*t - g*t.^2/2;
plot(t, z, '-', t, 5*ones(size(t)), 'k-', 'LineWidth', 1.5), grid
ht = xlabel('Time, s');
set(ht, 'FontSize', 14)
ht = ylabel('Height, m');
set(ht, 'FontSize', 14)
%%% another solution %%%%%
T1 = (-c(2) - sqrt(c(2)^2 - 4*c(1)*c(3)))/(2*c(1))
T2 = (-c(2) + sqrt(c(2)^2 - 4*c(1)*c(3)))/(2*c(1))

