function arrowc(o, e, t, c)
%ARROW draws arrow of thickness t, from origin o to end e 
%               in a two-dimensional plot. The input arguments
%               0 and e should be supplied as two-dimensional vectors.
%               The arrow corresponds to the ISO recommendations
%               drawing standards.
%               Written by Adrian Biran..

% draw support
plot([ o(1) e(1) ], [ o(2) e(2) ], 'k-', 'LineWidth', t, 'Color', c)
% hold on
x              = e(1) - o(1);
y              = e(2) - o(2);
alphar = atan2(y, x);
alphad = 180*alphar/pi;
l               = 5*t/cosd(7.5);
xL            = e(1)  - l*cosd(alphad + 7.5);
yL            = e(2)  - l*sind(alphad + 7.5);
xU            = e(1)  - l*cosd(alphad - 7.5);
yU            = e(2)  - l*sind(alphad - 7.5);
fill([ xU e(1) xL ], [ yU e(2) yL ],  c) 

