%CON2DEV     maps from the cone to the developed surface
%                       Input arguments:
%                               H           - cone height
%                               alpha - half-angle at cone vertex, degrees
%                               y0          - y-coordinate of axis of  rotation
%                               X, Y, Z   - coordinates of curve on conic surface
%                       Output arguments:
%                                rho      - polar radius
%                                phid   - polar angle, radians
% This function is called by the function consec.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'. See section 10.3.3 of this book.

function     [ rho phid ] = con2dev(H, alpha, y0, X, Y, Z)

cosa = cosd(alpha);
rho    = (H - Z)/cosa;
u          = atan2((Y - y0), X);
phid  = sind(alpha)*u;

