function  s = perimeter(Polyline)

%PERIMETER      Calculates the length of the polygonal line Polyline.
%                              For n points (vertices) Polyline is a 2-by-n array. The 
%                              first line represents the x-coordinates of
%                              the n points, the second line, their y-coordinates. 
%                              If Polyline is a closed polygon, the last point is
%                               the repetition of the first point. 
%  Developed by Adrian Biran for Subsection 2.1.2 in
%  `What every engineer should know about MATLAB and Simulink'.

s          = 0;               % initializes to zero the perimeter length
[ m, n ] = size(Polyline);
for k  = 2: n
        ds = Polyline(:, k) - Polyline(:, k - 1);
        s    = s + norm(ds);
end        