function wd = springb1(t, w)

% This funtion defines  the dynamics of a
% mass-spring-damper system  driven
% by an external sinusoidal force.
% Designed by Moshe Breiner for `MATLAB for Engineers',
% reused with the kind permission of Pearson Education
% in  Subsection 9.3.3 of the book
%`What every engineer should know about MATLA and Simulink'.

% assign values to system constants 
a    = 2.0;                 % N
m    = 2.0;                 % kg
c    = 2.5;                 % Ns/m
h    = 0.1;                 % N/m
om = 1.0;                  % rad/s
% allocate space for wd
wd = zeros(size(w));
% compute derivatives
wd(1) = -c/m*w(1) - h/m*w(2) + a/m*sin(om*t);
wd(2) = w(1);