%RUNSIM       Runs iterations of the non-linear pendulum simulation,
% from this script file, for constant initial angle and variable initial 
% angular speed. Written by Adrian Biran for Subsection 11.7.3 of the book
% `What every engineer should know about MATLAB and Simulink'.
% Before running the file set the initial angle in the Integrator1 block.
% For example, to obtain Fig. 11.37, set the initial condition of
% Integrator1 to pi/90.

dotphi0 = 0;                                                    % Initial angular velocity
for k = 1:6
    dotx0      = num2str(dotphi0); 
    set_param('pendulum2/Integrator', 'Initial', dotx0)
    sim('pendulum2', 5)
    plot(phi, dotphi, 'k-')
    hold on
    text(phi(2*k), dotphi(2*k), dotx0)
    dotphi0 = dotphi0 + 0.5;
end
title('\phi(0) = \pi/90, rad')
xlabel('\phi, rad ')
ylabel('\phi^/, rad s^{-1}')
hold off