%RUNSIM1       Runs the pendulum simulation from this script file
% for constant initial angular velocity and variable initial angle.
% Written by Adrian Biran for Subsection 11.7.3 of the book
% `What every engineer should know about MATLAB and Simulink'.
% Before running the file set the initial angle in the Integrator block.
% For example, to obtain Fig. 11.38, set the initial condition of
% Integrator to 0.1.

phi0 = 0;                                                             % Initial angle
for k = 1:11
    x0    = num2str(phi0, 3); 
    set_param('pendulum2/Integrator1', 'Initial', x0)
    sim('pendulum2', 6)
    plot(phi, dotphi, 'k-')
    hold on
    text(phi(4*k), dotphi(4*k), x0)
    phi0 = phi0 + pi/10;
end
title('\phi^/(0) = 0.1 rad s^{-1}')
xlabel('\phi, rad')
ylabel('\phi^/, rad s^{-1}')
hold off