function  L = EllipseArc(a, b)

%ELLIPSEARC  calculates the perimeter of a given ellipse
% defines the integral as an anonymous function
% This file solves Exercise 8.2, `Ellipse perimeter'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'.

ha = @(t)2*pi*sqrt(a^2*sin(2*pi*t).^2 + b^2*cos(2*pi*t).^2);
% integrate using the MATLAB quadl function
disp('Integral using the MATLAB quadl function')
L = quadl(ha, 0, 1)
disp('Trapezoidal rule  on x, y')
% define a range of t
t= 0: 1/90: 1;
x = a*cos(2*pi*t);
y = b*cos(2*pi*t);
l1 = trapz(x, y)
disp('Trapezoidal rule on ha')
y = feval(ha, t);
l2 = trapz(t ,y)
disp('using  simp on t')
l3 = simp(t, y )
disp('Using simp on x')
l4 = simp(x, y)
disp('Approximation')
l_appr = 2*pi*sqrt((a^2 + b^2)/2)