%  EXER2_9 Solves Exercise 2.9 in `What every engineer should know about
% MATLAB and Simulink'. Original file name ROTTRANSL.
% Shows the results of combined rotation and translation and
% produces Figure 1 in `Answers to selected exercises'.
% Written by Adrian Biran.

% define triangle in homogeneous coordinates
P = [ 1 2 5 1; 2 4 3 2 ; 1 1 1 1];
% define parameters of transformations
a            = 3;  % horizontal tranlation
b            = 4;  % vertical translation
theta = 30; % rotation angle, degrees
% define translation matrix
Tt = [ 1 0 a; 0 1 b; 0 0 1 ];
% define rotation matrix
Tr = [ cosd(theta)  -sind(theta)    0; sind(theta)  cosd(theta) 0; 0    0   1];
%%%%%%%%%%%%%% Translation First %%%%%%%%%%%%%%%%%
P2 = Tt*P
disp('Translation first')
P3 = Tr*P2
%%%%%%%%%%%%%% Rotation first %%%%%%%%%%%%%%%%%%%%
P4 = Tr*P
disp('Rotation first')
P5 = Tt*P4
%%%%%%%%%%%%%% %%% Plot translation first %%%%%%%%%%%%
% define frame
plot([ -1 10 ], [ 0 0 ], 'k-', [ 0 0 ], [ -1 11 ], 'k-');
axis equal
ht = xlabel('x');
set(ht, 'FontSize', 16)
ht = ylabel('y');
set(ht, 'FontSize', 16)
hold on
% plot initial triangle
hp = plot(P(1,:), P(2,:), 'k-');
set(hp, 'LineWidth', 1.5)
ht = text(0.75*P(1,1), 0.75*P(2, 1), 'P_1');
set(ht, 'FontSize', 14)
ht = text(1*P(1, 2), 1.1*P(2, 2), 'P_2');
set(ht, 'FontSize', 14)
ht = text(1.05*P(1, 3), P(2, 3), 'P_3');
set(ht, 'FontSize', 14)
% plot transformed triangle, translation first
hp = plot(P3(1,:), P3(2,:), 'k-.');
set(hp, 'LineWidth', 1.3)
ht = text(P3(1,1), 0.95*P3(2, 1), 'Q_1');
set(ht, 'FontSize', 14)
ht = text(0.95*P3(1, 2), 1.06*P3(2, 2), 'Q_2');
set(ht, 'FontSize', 14)
ht = text(1.05*P3(1, 3), P3(2, 3), 'Q_3');
set(ht, 'FontSize', 14)
% plot transformed triangle, rotation first
hp = plot(P5(1,:), P5(2,:), 'k--');
set(hp, 'LineWidth', 1.3)
ht = text(P5(1,1), 0.9*P5(2, 1), 'R_1');
set(ht, 'FontSize', 14)
ht = text(0.95*P5(1, 2), 1.03*P5(2, 2), 'R_2');
set(ht, 'FontSize', 14)
ht = text(1.05*P5(1, 3), P5(2, 3), 'R_3');
set(ht, 'FontSize', 14)


hold off